---
title: "Add a Telegram account"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/accounts.create
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Add a Telegram account

Create a new account slot on a node with a checked proxy (1 proxy per account). Then call accounts_login_start.

Create a new account slot on a node with a checked proxy (1 proxy per account). Then call accounts_login_start.

## Overview

| Name | Value |
| --- | --- |
| Code | `accounts.create` |
| Scope needed | `accounts.manage` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | Yes |
| Member roles allowed | `owner`, `manager` |
| In the app | Accounts → Add account |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `proxyId` | `uuid` | Yes |   |
| `nodeId` | `uuid` | Yes |   |
| `label` | `text` | No |   |
| `color` | `"blue" \| "green" \| "orange" \| "violet" \| "red" \| "cyan" \| "pink"` | No |   |
| `timezone` | `text` | Yes |   |
| `workStart` | `text` | No |   |
| `workEnd` | `text` | No |   |
| `ageTier` | `"new" \| "mid" \| "old"` | Yes |   |
| `tags` | `text[]` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/accounts.create \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"proxyId":"00000000-0000-0000-0000-000000000000","nodeId":"00000000-0000-0000-0000-000000000000","timezone":"…","ageTier":"new"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `accountId` | `text` | Yes |
| `device` | `object` | Yes |
| `autoApplied` | `object[]` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "accountId": "00000000-0000-4000-8000-000000000000",
    "device": {
      "deviceModel": "text",
      "systemVersion": "text",
      "langCode": "text",
      "systemLangCode": "text"
    },
    "autoApplied": [
      {
        "accountId": "00000000-0000-4000-8000-000000000000",
        "packId": "00000000-0000-4000-8000-000000000000",
        "packName": "text",
        "ok": true,
        "error": "text"
      }
    ]
  }
}
```

## Using it over MCP

Tool `accounts_create` is listed on the profiles: Administration (`admin`). On other profiles, find it with `tools_search` and run it with `tools_run`.
